
From: Andrew Morton <akpm@osdl.org>

ppc32 and ppc64 are supposed to line up.

Cc: David Woodhouse <dwmw2@infradead.org>
Cc: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc64/kernel/misc.S   |    4 +++-
 include/asm-ppc64/unistd.h |    8 +++++---
 2 files changed, 8 insertions(+), 4 deletions(-)

diff -puN arch/ppc64/kernel/misc.S~pselect-ppoll-system-calls-syscall-numbering-fix arch/ppc64/kernel/misc.S
--- devel/arch/ppc64/kernel/misc.S~pselect-ppoll-system-calls-syscall-numbering-fix	2005-06-29 18:30:21.000000000 -0700
+++ devel-akpm/arch/ppc64/kernel/misc.S	2005-06-29 18:30:21.000000000 -0700
@@ -1405,5 +1405,7 @@ _GLOBAL(sys_call_table)
 	.llong .sys_request_key		/* 270 */
 	.llong .sys_keyctl
 	.llong .sys_waitid
-	.llong .sys_pselect6
+	.llong .sys_ni_syscall		/* ioprio_set */
+	.llong .sys_ni_syscall		/* ioprio_get */
+	.llong .sys_pselect6		/* 275 */
 	.llong .sys_ppoll
diff -puN include/asm-ppc64/unistd.h~pselect-ppoll-system-calls-syscall-numbering-fix include/asm-ppc64/unistd.h
--- devel/include/asm-ppc64/unistd.h~pselect-ppoll-system-calls-syscall-numbering-fix	2005-06-29 18:30:21.000000000 -0700
+++ devel-akpm/include/asm-ppc64/unistd.h	2005-06-29 18:30:21.000000000 -0700
@@ -283,10 +283,12 @@
 #define __NR_request_key	270
 #define __NR_keyctl		271
 #define __NR_waitid		272
-#define __NR_pselect6		273
-#define __NR_ppoll		274
+/* 273 is reserved for __NR_ioprio_set */
+/* 274 is reserved for __NR_ioprio_get */
+#define __NR_pselect6		275
+#define __NR_ppoll		276
 
-#define __NR_syscalls		275
+#define __NR_syscalls		277
 #ifdef __KERNEL__
 #define NR_syscalls	__NR_syscalls
 #endif
_
